@import url("https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap");

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

    color: #cad3f5;
    font-family: "JetBrains Mono", "Courier New", monospace;
}

body {
    background-color: #181825;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.taskbar-container,
.footer-container {
    background-color: #24273a;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1vh;

    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
}

.taskbar-container {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.nav-links {
    display: flex;
    gap: 20px;
    margin-left: 1vw;
}

.nav-item {
    font-size: 1em;
    font-weight: 500;
    text-decoration: none;
    transition: color 0.2s ease;
}

.nav-item:hover,
.nav-item.active {
    color: #5e81ac;
}

.datetime-container {
    display: flex;
    gap: 20px;
    margin-right: 1vw;
    font-weight: 500;
    letter-spacing: 1px;
}

.footer-container {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    justify-content: flex-start;
    gap: 1em;
    padding-right: 1vw;
    padding-left: 1vw;
}

.footer-item {
    height: 1.2em;
    width: 1.2em;
    background-color: transparent;
    transition: color 0.2s ease;
}

.footer-item svg {
    width: 100%;
    height: 100%;
    stroke: currentColor;
    transition: stroke 0.2s ease;
}

.footer-item:hover {
    color: #5e81ac;
}

.footer-item:hover svg {
    stroke: #5e81ac;
}

.card {
    background-color: #24273a;
    border-radius: 10px;
    padding: 0.5em;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

@media (max-width: 600px) {
    .taskbar-container {
        flex-direction: column;
        gap: 10px;
        padding: 15px;
    }

    .nav-links {
        margin-left: 0;
        justify-content: center;
        width: 100%;
    }

    .datetime-container {
        margin-right: 0;
        justify-content: center;
        width: 100%;
    }
}
